<?php
/**
 *
 * @category        page module
 * @package         Bootstrap Multiple Columns
 * @author          Ruud Eisinga
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.3.6 and higher
 * @version         1.0.1
 * @lastmodified    July 11, 2015
 */
 
require('../../config.php');

// Include WB admin wrapper script
require(WB_PATH.'/modules/admin.php');

// Include the ordering class
require(WB_PATH.'/framework/class.order.php');

// Load Language file
if(LANGUAGE_LOADED) {
    require_once(WB_PATH.'/modules/btcolumns/languages/EN.php');
    if(file_exists(WB_PATH.'/modules/btcolumns/languages/'.LANGUAGE.'.php')) {
        require_once(WB_PATH.'/modules/btcolumns/languages/'.LANGUAGE.'.php');
    }
}

// Get new order
$order = new order(TABLE_PREFIX.'mod_btcolumns_content', 'pos', 'column_id', 'section_id');
$position = $order->get_new($section_id);

// Insert new row into database
$database->query("INSERT INTO ".TABLE_PREFIX."mod_btcolumns_content (section_id,page_id,column_id,title,content,pos) VALUES ('$section_id','$page_id','0','','',$position)");

// Get the id
$column_id = $database->get_one("SELECT LAST_INSERT_ID()");

// Say that a new record has been added, then redirect to modify page
if($database->is_error()) {
	$admin->print_error($database->get_error(), WB_URL.'/modules/btcolumns/modify_column.php?page_id='.$page_id.'&section_id='.$section_id.'&column_id='.$column_id);
} else {
	$admin->print_success($TEXT['SUCCESS'], WB_URL.'/modules/btcolumns/modify_column.php?page_id='.$page_id.'&section_id='.$section_id.'&column_id='.$column_id);
}

// Print admin footer
$admin->print_footer();

?>
