<?php
/**
 *
 * @category        page module
 * @package         Bootstrap Multiple Columns
 * @author          Ruud Eisinga
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.3.6 and higher
 * @version         1.0.1
 * @lastmodified    July 11, 2015
 */
 
// Must include code to stop this file being access directly
if(defined('WB_PATH') == false) { exit("Cannot access this file directly"); }

// Load Language file
if(LANGUAGE_LOADED) {
    require_once(WB_PATH.'/modules/btcolumns/languages/EN.php');
    if(file_exists(WB_PATH.'/modules/btcolumns/languages/'.LANGUAGE.'.php')) {
        require_once(WB_PATH.'/modules/btcolumns/languages/'.LANGUAGE.'.php');
    }
}

//Delete empty records
$database->query("DELETE FROM ".TABLE_PREFIX."mod_btcolumns_content  WHERE section_id = '$section_id' and title=''");

//Query
$query_settings = $database->query("SELECT * FROM ".TABLE_PREFIX."mod_btcolumns_settings WHERE section_id='$section_id'");
if( $query_settings->numRows() == 0 ) {
	$database->query("INSERT INTO ".TABLE_PREFIX."mod_btcolumns_settings VALUES($section_id,'','','','')");
}

?>

<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
	<td colspan="2">
	<h2><?php echo $MODIFY_SETTINGS['MODTITLE']; ?></h2>
	</td>
</tr>
<tr>
	<td align="left" width="50%">
		<a class="btn" href="<?php echo WB_URL; ?>/modules/btcolumns/add_column.php?page_id=<?php echo $page_id; ?>&section_id=<?php echo $section_id; ?>"><i class="icon-plus"></i> <?php echo $MODIFY_SETTINGS['ADD_COLUMN']; ?></a>
	</td>
	<td align="right" width="50%">
		<a class="btn" href="<?php echo WB_URL; ?>/modules/btcolumns/modify_settings.php?page_id=<?php echo $page_id; ?>&section_id=<?php echo $section_id; ?>"><i class="icon-cogs"></i> <?php echo $MODIFY_SETTINGS['SETTINGS']; ?></a>
	</td>
</tr>
</table>


<br />

<?php

// Loop through existing links
$query_columns = $database->query("SELECT * FROM `".TABLE_PREFIX."mod_btcolumns_content` WHERE section_id='$section_id' ORDER BY pos ASC");

if($query_columns->numRows() > 0) {
		?>
		<table cellpadding="2" cellspacing="0" border="0" width="100%">
		<?php
		$query_ = $database->query("SELECT * FROM `".TABLE_PREFIX."mod_btcolumns_content` WHERE section_id='$section_id' ORDER BY pos ASC");

		if($query_->numRows() > 0) {
			$row = 'a';
			$i = 1;
			while($quest = $query_->fetchRow()) {
			?>
			<tr class="row_<?php echo $row; ?>">
				<td width="10">
					<a class="strt" href="<?php echo WB_URL; ?>/modules/btcolumns/modify_column.php?page_id=<?php echo $page_id; ?>&section_id=<?php echo $section_id; ?>&column_id=<?php echo $quest['column_id']; ?>">
						&nbsp;
					</a>
				</td>
				<td width="180">
					<a href="<?php echo WB_URL; ?>/modules/btcolumns/modify_column.php?page_id=<?php echo $page_id; ?>&section_id=<?php echo $section_id; ?>&column_id=<?php echo $quest['column_id']; ?>">
						<?php echo $admin->strip_slashes(substr(strip_tags($quest['title']),0,40)); ?>..
					</a>
				</td>
				<td width="280">
					<?php echo $admin->strip_slashes(substr(strip_tags($quest['content']),0,50)); ?>..
				</td>
				<td width="18">
					<a href="<?php echo WB_URL; ?>/modules/btcolumns/move_up.php?page_id=<?php echo $page_id; ?>&section_id=<?php echo $section_id; ?>&column_id=<?php echo $quest['column_id']; ?>" title="<?php echo $TEXT['MOVE_UP']; ?>">
						<?php if($i > 1) { ?>
						<img src="<?php echo THEME_URL; ?>/images/up_16.png" border="0" alt="^" />
						<?php ;} ?>
					</a>
				</td>
				<td width="18">
					<a href="<?php echo WB_URL; ?>/modules/btcolumns/move_down.php?page_id=<?php echo $page_id; ?>&section_id=<?php echo $section_id; ?>&column_id=<?php echo $quest['column_id']; ?>" title="<?php echo $TEXT['MOVE_DOWN']; ?>">
						<?php if($i < $query_->numRows()) { ?>
						<img src="<?php echo THEME_URL; ?>/images/down_16.png" border="0" alt="v" />
						<?php ;} ?>
					</a>
				</td>
				<td width="18">
					<a href="#" onclick="javascript: confirm_link('<?php echo $TEXT['ARE_YOU_SURE']; ?>', '<?php echo WB_URL; ?>/modules/btcolumns/delete_column.php?page_id=<?php echo $page_id; ?>&section_id=<?php echo $section_id; ?>&column_id=<?php echo $quest['column_id']; ?>');" title="<?php echo $TEXT['DELETE']; ?>">
						<img src="<?php echo THEME_URL; ?>/images/delete_16.png" border="0" alt="X" />
					</a>
				</td>
			</tr>
			<?php
			// Alternate row color
			if($row == 'a') { $row = 'b'; } else { $row = 'a'; }
			$i++;
		}
	} else {
		echo '<i>'.$TEXT['NONE_FOUND'].'</i>';
	}
	?>

	</table>
	<?php
} 


else {
	echo '<i>'.$TEXT['NONE_FOUND'].'</i>';
}

?>
