<?php
/**
 *
 * @category        page module
 * @package         Bootstrap Multiple Columns
 * @author          Ruud Eisinga
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.3.6 and higher
 * @version         1.0.1
 * @lastmodified    July 11, 2015
 */
 

require('../../config.php');

// Get id
if(!isset($_GET['column_id']) OR !is_numeric($_GET['column_id'])) {
	header("Location: ".ADMIN_URL."/pages/index.php");
} else {
	$column_id = $_GET['column_id'];
}

// Include WB admin wrapper script
require(WB_PATH.'/modules/admin.php');

// Load Language file
if(LANGUAGE_LOADED) {
    require_once(WB_PATH.'/modules/btcolumns/languages/EN.php');
    if(file_exists(WB_PATH.'/modules/btcolumns/languages/'.LANGUAGE.'.php')) {
        require_once(WB_PATH.'/modules/btcolumns/languages/'.LANGUAGE.'.php');
    }
}

// Get info on question
$query_question = $database->query("SELECT * FROM ".TABLE_PREFIX."mod_btcolumns_content WHERE column_id='$column_id' AND section_id='".$section_id."' ");
$fetch_question = $query_question->fetchRow();
?>

<style type="text/css">
.setting_name {
	vertical-align: top;
}
</style>

<form name="modify" action="<?php echo WB_URL; ?>/modules/btcolumns/save_column.php" method="post" style="margin: 0;">

<input type="hidden" name="section_id" value="<?php echo $section_id; ?>">
<input type="hidden" name="page_id" value="<?php echo $page_id; ?>">
<input type="hidden" name="column_id" value="<?php echo $column_id; ?>">

<table class="row_a" cellpadding="2" cellspacing="0" border="0" align="center" width="100%">
<tr>
	<td class="setting_name">
		<label for="title" accesskey="q"><b><?php echo $MODIFY_SETTINGS['TITLE']; ?>:</b></label>
	</td>
</tr>
<tr>
	<td class="setting_name">
		<input type="text" name="title" id="title" value="<?php echo $admin->strip_slashes($fetch_question['title']); ?>" style="width: 98%;" maxlength="255" />
		
	</td>
</tr>
<tr>
	<td class="setting_name">
		<label for="content" accesskey="a"><b><?php echo $MODIFY_SETTINGS['CONTENT']; ?>:</b></label>
	</td>
</tr>
</table>

<?php
$content = $fetch_question['content'];
$name="content";

if(!isset($__wysiwyg_editor_loaded)) {
	$__wysiwyg_editor_loaded=true;
	if (!defined('WYSIWYG_EDITOR') OR WYSIWYG_EDITOR=="none" OR !file_exists(WB_PATH.'/modules/'.WYSIWYG_EDITOR.'/include.php')) {
		function show_wysiwyg_editor($name,$id,$content,$width,$height) {
			echo '<textarea name="'.$name.'" id="'.$id.'" style="width: '.$width.'; height: '.$height.';">'.$content.'</textarea>';
		}
	} else {
		$id_list=array();
		$query_wysiwyg = $database->query("SELECT section_id FROM ".TABLE_PREFIX."sections WHERE page_id = '$page_id' AND module = 'btcolumns'");
		if($query_wysiwyg->numRows() > 0) {
			while($wysiwyg_section = $query_wysiwyg->fetchRow()) {
				$entry='content'.$wysiwyg_section['section_id'];
				array_push($id_list,$entry);
			}
			require(WB_PATH.'/modules/'.WYSIWYG_EDITOR.'/include.php');
		}
	}
}

show_wysiwyg_editor('content','content'.$section_id,htmlspecialchars($content),'100%','350px');

?>

<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
	<td align="left">
		<input name="save" type="submit" value="<?php echo $TEXT['SAVE']; ?>" style="width: 100px; margin-top: 5px;"></form>
	</td>
	<td align="right">
		<input type="button" value="<?php echo $TEXT['CANCEL']; ?>" onclick="javascript: window.location = '<?php echo ADMIN_URL; ?>/pages/modify.php?page_id=<?php echo $page_id; ?>';" style="width: 100px; margin-top: 5px;" />
	</td>
</tr>
</table>

<?php
// Print admin footer
$admin->print_footer();

?>
