<?php
/**
 *
 * @category        page module
 * @package         Bootstrap Multiple Columns
 * @author          Ruud Eisinga
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.3.6 and higher
 * @version         1.0.1
 * @lastmodified    July 11, 2015
 */
 

require('../../config.php');

// Include WB admin wrapper script
require(WB_PATH.'/modules/admin.php');

// include core functions of WB 2.7 to edit the optional module CSS files (frontend.css, backend.css)
@include_once(WB_PATH .'/framework/module.functions.php');

// Load Language file
if(LANGUAGE_LOADED) {
    require_once(WB_PATH.'/modules/btcolumns/languages/EN.php');
    if(file_exists(WB_PATH.'/modules/btcolumns/languages/'.LANGUAGE.'.php')) {
        require_once(WB_PATH.'/modules/btcolumns/languages/'.LANGUAGE.'.php');
    }
}

// Get header and footer
$query_settings = $database->query("SELECT * FROM ".TABLE_PREFIX."mod_btcolumns_settings WHERE section_id='$section_id'");
$fetch_settings = $query_settings->fetchRow();

?>

<form name="edit" action="<?php echo WB_URL; ?>/modules/btcolumns/save_settings.php" method="post" style="margin: 0;">

<input type="hidden" name="section_id" value="<?php echo $section_id; ?>">
<input type="hidden" name="page_id" value="<?php echo $page_id; ?>">

<table class="row_a" cellpadding="2" cellspacing="0" border="0" align="center" width="100%">
<tr>
	<td colspan="2"><h2><?php echo $MODIFY_SETTINGS['MODTITLE']; ?> - <?php echo $MODIFY_SETTINGS['SETTINGS']; ?></h2></td>
</tr>


<tr>
	<td class="setting_name"><?php echo $MODIFY_SETTINGS['SHOWTITLE']; ?>:</td>
	<td class="setting_name">
		<select name="showtitle" style="width: 120px !important">
			<option <?php echo $fetch_settings['showtitle'] == 1 ?'selected="selected"':'' ?> value="1"><?php echo $MODIFY_SETTINGS['YES']; ?></option>
			<option <?php echo $fetch_settings['showtitle'] == 0 ?'selected="selected"':'' ?> value="0"><?php echo $MODIFY_SETTINGS['NO']; ?></option>
		</select>
	</td>
	<td>
		
	</td>
</tr>
<tr>
	<td class="setting_name"><?php echo $MODIFY_SETTINGS['ROWFLEX']; ?>:</td>
	<td class="">
		<select name="rowflex" style="width: 120px !important">
			<option <?php echo $fetch_settings['rowflex'] == 1 ?'selected="selected"':'' ?> value="1"><?php echo $MODIFY_SETTINGS['YES']; ?></option>
			<option <?php echo $fetch_settings['rowflex'] == 0 ?'selected="selected"':'' ?> value="0"><?php echo $MODIFY_SETTINGS['NO']; ?></option>
		</select>
	</td>
	<td>
		<i><?php echo $MODIFY_SETTINGS['ROWFLEX-HELP']; ?></i>
	</td>
</tr>
<tr>
	<td class="setting_name"><?php echo $MODIFY_SETTINGS['XSWIDTH']; ?>:</td>
	<td class="">
		<select name="xswidth" style="width: 60px !important">
			<option <?php echo $fetch_settings['xswidth'] == 12 ?'selected="selected"':'' ?> value="12">1</option>
			<option <?php echo $fetch_settings['xswidth'] == 6 ?'selected="selected"':'' ?> value="6">2</option>
			<option <?php echo $fetch_settings['xswidth'] == 4 ?'selected="selected"':'' ?> value="4">3</option>
			<option <?php echo $fetch_settings['xswidth'] == 3 ?'selected="selected"':'' ?> value="3">4</option>
			<option <?php echo $fetch_settings['xswidth'] == 2 ?'selected="selected"':'' ?> value="2">6</option>
			<option <?php echo $fetch_settings['xswidth'] == 1 ?'selected="selected"':'' ?> value="1">12</option>
		</select>
	</td>
	<td>
		<i><?php echo $MODIFY_SETTINGS['XS-HELP']; ?></i>
	</td>
</tr>

<tr>
	<td class="setting_name"><?php echo $MODIFY_SETTINGS['SMWIDTH']; ?>:</td>
	<td class="">
	<select name="smwidth" style="width: 60px !important">
		<option <?php echo $fetch_settings['smwidth'] == 12 ?'selected="selected"':'' ?> value="12">1</option>
		<option <?php echo $fetch_settings['smwidth'] == 6 ?'selected="selected"':'' ?> value="6">2</option>
		<option <?php echo $fetch_settings['smwidth'] == 4 ?'selected="selected"':'' ?> value="4">3</option>
		<option <?php echo $fetch_settings['smwidth'] == 3 ?'selected="selected"':'' ?> value="3">4</option>
		<option <?php echo $fetch_settings['smwidth'] == 2 ?'selected="selected"':'' ?> value="2">6</option>
		<option <?php echo $fetch_settings['smwidth'] == 1 ?'selected="selected"':'' ?> value="1">12</option>
	</select>
	</td>
	<td>
		<i><?php echo $MODIFY_SETTINGS['SM-HELP']; ?></i>
	</td>
</tr>

<tr>
	<td class="setting_name"><?php echo $MODIFY_SETTINGS['MDWIDTH']; ?>:</td>
	<td class="">
	<select name="mdwidth" style="width: 60px !important">
		<option <?php echo $fetch_settings['mdwidth'] == 12 ?'selected="selected"':'' ?> value="12">1</option>
		<option <?php echo $fetch_settings['mdwidth'] == 6 ?'selected="selected"':'' ?> value="6">2</option>
		<option <?php echo $fetch_settings['mdwidth'] == 4 ?'selected="selected"':'' ?> value="4">3</option>
		<option <?php echo $fetch_settings['mdwidth'] == 3 ?'selected="selected"':'' ?> value="3">4</option>
		<option <?php echo $fetch_settings['mdwidth'] == 2 ?'selected="selected"':'' ?> value="2">6</option>
		<option <?php echo $fetch_settings['mdwidth'] == 1 ?'selected="selected"':'' ?> value="1">12</option>
	</select>
	</td>
	<td>
		<i><?php echo $MODIFY_SETTINGS['MD-HELP']; ?></i>
	</td>
</tr>

<tr>
	<td class="setting_name"><?php echo $MODIFY_SETTINGS['LGWIDTH']; ?>:</td>
	<td class="">
	<select name="lgwidth" style="width: 60px !important">
		<option <?php echo $fetch_settings['lgwidth'] == 12 ?'selected="selected"':'' ?> value="12">1</option>
		<option <?php echo $fetch_settings['lgwidth'] == 6 ?'selected="selected"':'' ?> value="6">2</option>
		<option <?php echo $fetch_settings['lgwidth'] == 4 ?'selected="selected"':'' ?> value="4">3</option>
		<option <?php echo $fetch_settings['lgwidth'] == 3 ?'selected="selected"':'' ?> value="3">4</option>
		<option <?php echo $fetch_settings['lgwidth'] == 2 ?'selected="selected"':'' ?> value="2">6</option>
		<option <?php echo $fetch_settings['lgwidth'] == 1 ?'selected="selected"':'' ?> value="1">12</option>
	</select>
	</td>
	<td>
		<i><?php echo $MODIFY_SETTINGS['LG-HELP']; ?></i>
	</td>
</tr>

</table>

<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
	<td align="left">
		<input name="save" type="submit" value="<?php echo $TEXT['SAVE']; ?>" style="width: 100px; margin-top: 5px;"></form>
	</td>
	<td align="right">
		<input type="button" value="<?php echo $TEXT['CANCEL']; ?>" onclick="javascript: window.location = '<?php echo ADMIN_URL; ?>/pages/modify.php?page_id=<?php echo $page_id; ?>';" style="width: 100px; margin-top: 5px;" />
	</td>
</tr>
</table>



<script>
$(document).ready(function(e) {
	$("#icons").msDropdown({});
});
</script>



<?php
// Print admin footer
$admin->print_footer();

?>

	
